- [JSON representation](https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/RunReportResponse#SCHEMA_REPRESENTATION)

The response report table corresponding to a request.

| JSON representation |
|---|
| ``` { "dimensionHeaders": [ { object (`https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/DimensionHeader`) } ], "metricHeaders": [ { object (`https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/MetricHeader`) } ], "rows": [ { object (`https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/Row`) } ], "totals": [ { object (`https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/Row`) } ], "maximums": [ { object (`https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/Row`) } ], "minimums": [ { object (`https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/Row`) } ], "rowCount": integer, "metadata": { object (`https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/ResponseMetaData`) }, "propertyQuota": { object (`https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/PropertyQuota`) }, "kind": string } ``` |

| Fields ||
|---|---|
| `dimensionHeaders[]` | ``object (`https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/DimensionHeader`)`` Describes dimension columns. The number of DimensionHeaders and ordering of DimensionHeaders matches the dimensions present in rows. |
| `metricHeaders[]` | ``object (`https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/MetricHeader`)`` Describes metric columns. The number of MetricHeaders and ordering of MetricHeaders matches the metrics present in rows. |
| `rows[]` | ``object (`https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/Row`)`` Rows of dimension value combinations and metric values in the report. |
| `totals[]` | ``object (`https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/Row`)`` If requested, the totaled values of metrics. |
| `maximums[]` | ``object (`https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/Row`)`` If requested, the maximum values of metrics. |
| `minimums[]` | ``object (`https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/Row`)`` If requested, the minimum values of metrics. |
| `rowCount` | `integer` The total number of rows in the query result. `rowCount` is independent of the number of rows returned in the response, the `limit` request parameter, and the `offset` request parameter. For example if a query returns 175 rows and includes `limit` of 50 in the API request, the response will contain `rowCount` of 175 but only 50 rows. To learn more about this pagination parameter, see [Pagination](https://developers.google.com/analytics/devguides/reporting/data/v1/basics#pagination). |
| `metadata` | ``object (`https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/ResponseMetaData`)`` Metadata for the report. |
| `propertyQuota` | ``object (`https://developers.google.com/analytics/devguides/reporting/data/v1/rest/v1beta/PropertyQuota`)`` This Google Analytics property's quota state including this request. |
| `kind` | `string` Identifies what kind of resource this message is. This `kind` is always the fixed string "analyticsData#runReport". Useful to distinguish between response types in JSON. |